Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Static Public Member Functions
Lucene::VariantUtils Class Reference

`#include <VariantUtils.h>`

## Static Public Member Functions

template<typename TYPE >
static TYPE | get (boost::any var)
template<typename TYPE , typename VAR >
static TYPE | get (VAR var)
template<typename TYPE , typename VAR >
static bool | typeOf (VAR var)
static VariantNull | null ()
static bool | isNull (boost::any var)
template<typename VAR >
static bool | isNull (VAR var)
template<typename VAR >
static int32_t | hashCode (VAR var)
template<typename FIRST , typename SECOND >
static bool | equalsType (FIRST first, SECOND second)
template<typename FIRST , typename SECOND >
static bool | equals (FIRST first, SECOND second)
template<typename VAR >
static int32_t | compareTo (VAR first, VAR second)

## Member Function Documentation

template<typename VAR >

static int32_t Lucene::VariantUtils::compareTo | ( | VAR | first,
|  | VAR | second
| ) |  |

inline static

template<typename FIRST , typename SECOND >

static bool Lucene::VariantUtils::equals | ( | FIRST | first,
|  | SECOND | second
| ) |  |

inline static

template<typename FIRST , typename SECOND >

static bool Lucene::VariantUtils::equalsType | ( | FIRST | first,
|  | SECOND | second
| ) |  |

inline static

template<typename TYPE >

static TYPE Lucene::VariantUtils::get | ( | boost::any | var) |  |

inline static

template<typename TYPE , typename VAR >

static TYPE Lucene::VariantUtils::get | ( | VAR | var) |  |

inline static

template<typename VAR >

static int32_t Lucene::VariantUtils::hashCode | ( | VAR | var) |  |

inline static

References Lucene::MiscUtils::doubleToLongBits(), Lucene::StringUtils::hashCode(), and Lucene::Collection< TYPE >::hashCode().

static bool Lucene::VariantUtils::isNull | ( | boost::any | var) |  |

inline static

template<typename VAR >

static bool Lucene::VariantUtils::isNull | ( | VAR | var) |  |

inline static

static VariantNull Lucene::VariantUtils::null | ( | ) |  |

inline static

template<typename TYPE , typename VAR >

static bool Lucene::VariantUtils::typeOf | ( | VAR | var) |  |

inline static

The documentation for this class was generated from the following file:

- VariantUtils.h

clucene.sourceforge.net